package org.rentierdb.cli;

import org.python.core.PyObject;
import org.python.core.PySystemState;
import org.python.util.PythonInterpreter;

import org.rentierdb.objectmanagement.IObjectManagement;
import org.rentierdb.simpleobjectmanagement.main.SimpleObjectManagement;
import org.rentierdb.simplestorageservice.SimpleStorageService;
import org.rentierdb.storageservice.IStorageService;

public class RentierCLI {
	
	public RentierCLI(IObjectManagement management) {
        PySystemState.initialize();
        PythonInterpreter pyi = new PythonInterpreter();   
        pyi.exec("import sys");    
        // you can pass the python.path to java to avoid hardcoding this
        // java -Dpython.path=/path/to/jythonconsole-0.0.6 EmbedExample
        pyi.exec("sys.path.append(r'jythonconsole-0.0.7/')");
        pyi.exec("from console import main");
        pyi.exec("from java.util import HashMap");
        PyObject main = pyi.get("main");

        // stuff some objects into the namespace
        // this will probably be objects from your application

        pyi.set("om", management);
        main.__call__(pyi.getLocals());
	}

	public static void main(String[] args) {
		IStorageService service;
		IObjectManagement management;
		
		service =  new SimpleStorageService();
		management = new SimpleObjectManagement(service);
				
		new RentierCLI(management);
	}

}
