package org.rentierdb.objectmanagement.graph.edge;


/**
 * This interface describes the structure of an abstract edge as it exists in the Object Management.
 * @author Jan-Christoph Klie
 * @version 0.3
 */
public abstract interface IEdge {
	
	/**
	 * Returns the ID of this edge
	 * @return The edge ID
	 */
	long getID();
	
	/**
	 * Finds the start of this very edge and returns it.
	 * @return Returns the id of the vertex where this edge starts
	 */
	long getStart();
}
