package org.rentierdb.simpleobjectmanagement.graph;

import java.util.List;

import org.rentierdb.objectmanagement.graph.edge.IEdge;
import org.rentierdb.objectmanagement.graph.edge.IMultiEdge;

public class SimpleMultiEdge implements IEdge, IMultiEdge {
	
	/**
	 * The ID of the edge
	 */
	private final long ID;
	private final long startID;
	private final List<Integer> endList;
		
	/**
	 * Creates an edge with the specified ID and no properties
	 * @param UID The ID of the newly created edge
	 */
	private SimpleMultiEdge(long UID, long startID, List<Integer> endList) {
		ID = UID;
		this.startID = startID;
		this.endList = endList;
	}
	
	/**
	 * Creates an empty SimpleMultiEdge and returns it.
	 * @return A newly created empty SimpleMultiEdge
	 */
	public static SimpleMultiEdge create(long UID, long startID, List<Integer> endList) {
		return new SimpleMultiEdge(UID, startID, endList);
	}
	
	@Override
	public long getID() {
		return ID;
	}

	@Override
	public long getStart() {
		return startID;
	}

	@Override
	public List<Integer> getEnds() {
		return endList;
	}	

}
