package org.rentierdb.simpleobjectmanagement.graph;

import org.rentierdb.objectmanagement.graph.edge.IEdge;
import org.rentierdb.objectmanagement.graph.edge.ISingleEdge;

/**
 * A simple implementation of an Simple Single Edge for the RentierDB
 * @author Jan-Christoph Klie
 *
 */
public class SimpleSingleEdge implements IEdge, ISingleEdge {
	
	/**
	 * The ID of the edge
	 */
	private final long ID;
	private final long startID;
	private final long endID;
		
	/**
	 * Creates an edge with the specified ID and no properties
	 * @param UID The ID of the newly created edge
	 */
	private SimpleSingleEdge(long UID, long startID, long endID) {
		ID = UID;
		this.startID = startID;
		this.endID = endID;
	}
	
	/**
	 * Creates an empty SimpleSingleEdge and returns it.
	 * @return A newly created empty SimpleSingleEdge
	 */
	public static SimpleSingleEdge create(long UID, long startID, long endID) {
		return new SimpleSingleEdge(UID, startID, endID);
	}
	
	@Override
	public long getID() {
		return ID;
	}

	@Override
	public long getStart() {
		return startID;
	}

	@Override
	public long getEnd() {
		return endID;
	}
}
