package org.rentierdb.simpleobjectmanagement.graph;

import org.rentierdb.objectmanagement.graph.vertex.IVertex;

/**
 * A simple implementation of the IVertex interface
 * @author Jan-Christoph Klie
 * @version 1.0
 */
public class SimpleVertex implements IVertex {
	
	/**
	 * The ID of the vertex
	 */
	private final long ID;
	
	//####################Create######################
	
	/**
	 * Creates a vertex with the specified ID and no properties
	 * @param UID The ID of the newly created vertex
	 */
	private SimpleVertex(long UID) {
		ID = UID;
	}
	
	/**
	 * Creates an empty SimpleVertex and returns it.
	 * @return A newly created empty SimpleVertex
	 */
	public static SimpleVertex create(long UID) {
		return new SimpleVertex(UID);
	}
	
	//####################Read######################
	
	@Override
	public long getID() {
		return ID;
	}
}
