/**
 *  
 */
package org.rentierdb.storageservice.storage;

import java.io.Serializable;
import java.math.BigInteger;

/**
 * This Interface describes the storage of Attributes within a StorageService.
 * @author Michael Schilonka
 * @version 0.1
 * @category GraphElementStorage
 *
 */
public  interface IStorageAttribute<T> extends Comparable<T>, Serializable, Cloneable {
		
	/**
	 * The attribute type of this instance.
	 * @return The attribute type of this instance.
	 */
	AttributeType getAttributeType();
	
	/**
	 * Returns the raw value of this attribute.
	 * @return The raw value of this attribute.
	 */
	T getRawObject();
	
	String toString();
	
	boolean equals(Object myObject);
	
	Object clone() throws CloneNotSupportedException;

	int compareTo(IStorageAttribute<T> myObject);
	
}
